Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class PackageContract

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.PackageContract

public class PackageContract extends Object
Модель класса "активированный пакет обращений в систему Helpdesk"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageContract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getChargeId()`
  Возвращает id записи о расходе сделанного для активации этого пакета
  `int`
  `getContractId()`
  `int`
  `getCount()`
  `int`
  `getCountUse()`
  `Date`
  `getDateFrom()`
  Возращает дату начала активного периода пакета
  `Date`
  `getDateTo()`
  `int`
  `getId()`
  Возращает id пакета
  `int`
  `getPackageId()`
  Возращает код пакета
  `BigDecimal`
  `getSumma()`
  `String`
  `getTitle()`
  `int`
  `getUserId()`
  `boolean`
  `isActivePackage(Date onDate)`
  `PackageContract`
  `setChargeId(int chargeId)`
  Устанавливает id записи о расходе сделанного для активации этого пакета
  `PackageContract`
  `setContractId(int contractId)`
  `PackageContract`
  `setCount(int count)`
  `PackageContract`
  `setCountUse(int countUse)`
  `PackageContract`
  `setDateFrom(Date dateFrom)`
  Устанавливает дату начала активного периода пакета
  `PackageContract`
  `setDateTo(Date dateTo)`
  `PackageContract`
  `setId(int id)`
  Устанавливает id пакета
  `PackageContract`
  `setPackageId(int packageId)`
  Устанавливает код пакета
  `PackageContract`
  `setSumma(BigDecimal summa)`
  `PackageContract`
  `setTitle(String title)`
  `PackageContract`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PackageContract

    public PackageContract()

- ## Method Details

  - ### getChargeId

    public int getChargeId()
    Возвращает id записи о расходе сделанного для активации этого пакета
    Returns:
      id записи о расходе

  - ### setChargeId

    public PackageContract setChargeId(int chargeId)
    Устанавливает id записи о расходе сделанного для активации этого пакета
    Parameters:
      `chargeId` -

  - ### getId

    public int getId()
    Возращает id пакета
    Returns:
      уникальный код пакета в системе

  - ### setId

    public PackageContract setId(int id)
    Устанавливает id пакета
    Parameters:
      `id` - - уникальный код пакета в системе

  - ### getPackageId

    public int getPackageId()
    Возращает код пакета
    Returns:
      код пакета по которому создан этот экземпляр пакета

  - ### setPackageId

    public PackageContract setPackageId(int packageId)
    Устанавливает код пакета
    Parameters:
      `packageId` - - код пакета по которому создан этот экземпляр пакета

  - ### getDateFrom

    public Date getDateFrom()
    Возращает дату начала активного периода пакета
    Returns:
      дата активации пакета

  - ### setDateFrom

    public PackageContract setDateFrom(Date dateFrom)
    Устанавливает дату начала активного периода пакета
    Parameters:
      `dateFrom` - - дата активации пакета

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public PackageContract setDateTo(Date dateTo)

  - ### getSumma

    public BigDecimal getSumma()

  - ### setSumma

    public PackageContract setSumma(BigDecimal summa)

  - ### getCount

    public int getCount()

  - ### setCount

    public PackageContract setCount(int count)

  - ### getCountUse

    public int getCountUse()

  - ### setCountUse

    public PackageContract setCountUse(int countUse)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public PackageContract setUserId(int userId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public PackageContract setContractId(int contractId)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public PackageContract setTitle(String title)

  - ### isActivePackage

    public boolean isActivePackage(Date onDate)